## yade 1.20.0

=== CMakeLists.txt ===
# The YADE has the following parameters to configure:
#  CMAKE_INSTALL_PREFIX: path, where Yade will be installed (/usr/local by default)
#  LIBRARY_OUTPUT_PATH: path to install libraries (lib by default)
#  DEBUG: compile in debug-mode (OFF by default)
#  CMAKE_VERBOSE_MAKEFILE: output additional information during compiling (OFF by default)
#  SUFFIX: suffix, added after binary-names (version number by default)
#  NOSUFFIX: do not add a suffix after binary-name (OFF by default)
#  YADE_VERSION: explicitely set version number (is defined from git-directory by default)
#  ENABLE_GUI: enable GUI option (ON by default)
#  ENABLE_CGAL: enable CGAL option (ON by default)
#  ENABLE_VTK: enable VTK-export option (ON by default)
#  ENABLE_OPENMP: enable OpenMP-parallelizing option (ON by default)
#  ENABLE_GTS: enable GTS-option (ON by default)
#  ENABLE_GL2PS: enable GL2PS-option (ON by default)
#  ENABLE_LINSOLV: enable LINSOLV-option (ON by default)
#  ENABLE_PFVFLOW: enable PFVFLOW-option, FlowEngine (ON by default)
#  ENABLE_LBMFLOW: enable LBMFLOW-option, LBM_ENGINE (ON by default)
#  ENABLE_SPH: enable SPH-option, Smoothed Particle Hydrodynamics (OFF by default)
#  ENABLE_LIQMIGRATION: enable LIQMIGRATION-option, see [Mani2013] for details (OFF by default)
#  ENABLE_MASK_ARBITRARY: enable MASK_ARBITRARY option (OFF by default)
#  ENABLE_PROFILING: enable profiling, e.g. shows some more metrics, which can define bottlenecks of the code (OFF by default)
#  runtimePREFIX: used for packaging, when install directory is not the same is runtime directory (/usr/local by default)
#  CHUNKSIZE: set >1, if you want several sources to be compiled at once. Increases compilation speed and RAM-consumption during it (1 by default)
#  VECTORIZE: enables vectorization and alignment in Eigen3 library, experimental (OFF by default)
#  USE_QT5: use QT5 for GUI, experimental (OFF by default)

project(Yade C CXX)
cmake_minimum_required(VERSION 2.8.11)

set(CMAKE_MODULE_PATH "${CMAKE_CURRENT_SOURCE_DIR}/cMake")

INCLUDE(FindPythonInterp)
INCLUDE(FindOpenMP)
INCLUDE(FindQt4)
INCLUDE(FindPkgConfig)
INCLUDE(GetVersion)
INCLUDE(FindOpenGL)
INCLUDE(FindGTS)
INCLUDE(FindGL2PS)
INCLUDE(FindCGAL)
INCLUDE(FindNumPy)
INCLUDE(FindLoki)
INCLUDE(FindPythonModule)
INCLUDE(GNUInstallDirs)

INCLUDE_DIRECTORIES (${CMAKE_SOURCE_DIR})

#===========================================================
# HACK!!! If the version of gcc is 4.8 or greater, we add -ftrack-macro-expansion=0 
# and -save-temps into compiler to reduce the memory consumption during compilation.
# See http://bugs.debian.org/726009 for more information
# Can be removed later, if gcc fixes its regression
# Taken from http://stackoverflow.com/questions/4058565/check-gcc-minor-in-cmake

EXECUTE_PROCESS(COMMAND ${CMAKE_C_COMPILER} -dumpversion OUTPUT_VARIABLE GCC_VERSION)
IF (GCC_VERSION VERSION_GREATER 4.8 OR GCC_VERSION VERSION_EQUAL 4.8)
  MESSAGE(STATUS "GCC Version >= 4.8. Adding -ftrack-macro-expansion=0 and -save-temps")
  ADD_DEFINITIONS("-ftrack-macro-expansion=0 -save-temps")
ENDIF()

#===========================================================

IF ("${CMAKE_CXX_COMPILER} ${CMAKE_CXX_COMPILER_ARG1}" MATCHES ".*clang")
  ADD_DEFINITIONS("-ftemplate-depth-512 -fstack-protector ")
ELSE()
  IF (GCC_VERSION VERSION_GREATER 4.9 OR GCC_VERSION VERSION_EQUAL 4.9)
    MESSAGE(STATUS "GCC Version >= 4.9. Adding -fstack-protector-strong")
    ADD_DEFINITIONS("-fstack-protector-strong")
  ELSE()
    ADD_DEFINITIONS("-fstack-protector")
  ENDIF()
ENDIF()

SET(CMAKE_CXX_FLAGS  "${CMAKE_CXX_FLAGS} -fPIC -O2 --param=ssp-buffer-size=4 -Wformat -Wformat-security -Werror=format-security -Wall -std=c++0x")

IF (DEBUG)
  SET(CMAKE_VERBOSE_MAKEFILE 1)
  SET(CMAKE_BUILD_TYPE Debug)
  ADD_DEFINITIONS("-DYADE_DEBUG -g")
ENDIF (DEBUG)

#===========================================================
# Add possibility to use local boost installation (e.g. -DLocalBoost=1.46.1)

IF ( NOT LocalBoost )
  SET(LocalBoost "1.35.0") # Minimal required Boost version
ENDIF ( NOT LocalBoost )
FIND_PACKAGE(Boost ${LocalBoost} COMPONENTS python thread filesystem iostreams regex serialization system date_time REQUIRED)
INCLUDE_DIRECTORIES (${Boost_INCLUDE_DIRS})
# for checking purpose
MESSAGE("--   Boost_VERSION: " ${Boost_VERSION})
MESSAGE("--   Boost_LIB_VERSION: " ${Boost_LIB_VERSION})
MESSAGE("--   Boost_INCLUDE_DIRS: " ${Boost_INCLUDE_DIRS})
MESSAGE("--   Boost_LIBRARIES: " ${Boost_LIBRARIES})

#===========================================================
FIND_PACKAGE(NumPy REQUIRED)
INCLUDE_DIRECTORIES(${NUMPY_INCLUDE_DIRS})

FIND_PACKAGE(Loki REQUIRED)
INCLUDE_DIRECTORIES(${LOKI_INCLUDE_DIR})

FIND_PACKAGE(Eigen3 REQUIRED)
FIND_PACKAGE(BZip2 REQUIRED)
FIND_PACKAGE(ZLIB REQUIRED)

SET(Python_ADDITIONAL_VERSIONS 2.7)
FIND_PACKAGE(PythonLibs REQUIRED)
INCLUDE_DIRECTORIES(${PYTHON_INCLUDE_PATH})
#===========================================================

SET(DEFAULT ON CACHE INTERNAL "Default value for enabled by default options")
SET(LINKLIBS "")
SET(CONFIGURED_FEATS "")
SET(DISABLED_FEATS "")

OPTION(ENABLE_VTK "Enable VTK" ${DEFAULT})
OPTION(ENABLE_OPENMP "Enable OpenMP" ${DEFAULT})
OPTION(ENABLE_GTS "Enable GTS" ${DEFAULT})
OPTION(ENABLE_GUI "Enable GUI" ${DEFAULT})
OPTION(ENABLE_CGAL "Enable CGAL" ${DEFAULT})
OPTION(ENABLE_GL2PS "Enable GL2PS" ${DEFAULT})
OPTION(ENABLE_LINSOLV "Enable direct solver for the flow engines (experimental)" ${DEFAULT})
OPTION(ENABLE_PFVFLOW "Enable flow engine (experimental)" ${DEFAULT})
OPTION(ENABLE_SPH "Enable SPH" OFF)
OPTION(ENABLE_LBMFLOW "Enable LBM engine (very experimental)" ON)
OPTION(ENABLE_LIQMIGRATION "Enable liquid control (very experimental), see [Mani2013] for details" OFF)
OPTION(ENABLE_MASK_ARBITRARY "Enable arbitrary precision of bitmask variables (only Body::groupMask yet implemented) (experimental). Use -DMASK_ARBITRARY_SIZE=int to set number of used bits (256 by default)" OFF)
OPTION(ENABLE_PROFILING "Enable profiling, e.g. shows some more metrics, which can define bottlenecks of the code (OFF by default)" OFF)
OPTION(USE_QT5 "USE Qt5 for GUI" OFF)

#===========================================================
# Use Eigen3 by default
IF (EIGEN3_FOUND)
  INCLUDE_DIRECTORIES(${EIGEN3_INCLUDE_DIR})
  MESSAGE(STATUS "Found Eigen3, version: ${EIGEN3_VERSION}")
  
  # Minimal required version 3.2.1
  IF ((${EIGEN3_MAJOR_VERSION} LESS 2) OR ((${EIGEN3_MAJOR_VERSION} EQUAL 2) AND (${EIGEN3_MINOR_VERSION} LESS 1)))
    MESSAGE(FATAL_ERROR "Minimal required Eigen3 version is 3.2.1, please update Eigen3!")
  ENDIF ((${EIGEN3_MAJOR_VERSION} LESS 2) OR ((${EIGEN3_MAJOR_VERSION} EQUAL 2) AND (${EIGEN3_MINOR_VERSION} LESS 1)))

  IF (NOT VECTORIZE)
    MESSAGE(STATUS "Disable vectorization")
    ADD_DEFINITIONS("-DEIGEN_DONT_VECTORIZE -DEIGEN_DONT_ALIGN -DEIGEN_DISABLE_UNALIGNED_ARRAY_ASSERT")
  ELSE (NOT VECTORIZE)
    MESSAGE(STATUS "Enable vectorization")
  ENDIF (NOT VECTORIZE)
  
ENDIF(EIGEN3_FOUND)
#===========================================================
INCLUDE_DIRECTORIES(${BZIP2_INCLUDE_DIR})
INCLUDE_DIRECTORIES(${ZLIB_INCLUDE_DIRS})
SET(LINKLIBS  "${LINKLIBS};${BZIP2_LIBRARIES};${ZLIB_LIBRARIES};")
#===========================================================
IF((Boost_MAJOR_VERSION EQUAL 1) OR (Boost_MAJOR_VERSION GREATER 1) AND
  ((Boost_MINOR_VERSION EQUAL 53) OR (Boost_MINOR_VERSION GREATER 53)))
  SET(CONFIGURED_FEATS "${CONFIGURED_FEATS} Odeint")
  ADD_DEFINITIONS("-DYADE_ODEINT")
ELSE((Boost_MAJOR_VERSION EQUAL 1) OR (Boost_MAJOR_VERSION GREATER 1) AND
    ((Boost_MINOR_VERSION EQUAL 53) OR (Boost_MINOR_VERSION GREATER 53)))
  SET(DISABLED_FEATS "${DISABLED_FEATS} Odeint")
  MESSAGE(STATUS "Boost Odeint can be enabled, only if Boost>=1.53 is used")
ENDIF((Boost_MAJOR_VERSION EQUAL 1) OR (Boost_MAJOR_VERSION GREATER 1) AND
     ((Boost_MINOR_VERSION EQUAL 53) OR (Boost_MINOR_VERSION GREATER 53)))
#===========================================================
IF(ENABLE_VTK)
  FIND_PACKAGE(VTK COMPONENTS vtkCommonCore vtkIOImage vtkIOXML)
  IF(VTK_FOUND)
    INCLUDE_DIRECTORIES(${VTK_INCLUDE_DIRS})
    LINK_DIRECTORIES( ${VTK_LIBRARY_DIRS} )
    SET(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -DYADE_VTK")
    MESSAGE(STATUS "Found VTK")
    SET(CONFIGURED_FEATS "${CONFIGURED_FEATS} VTK")
  ELSE(VTK_FOUND)
    MESSAGE(STATUS "VTK NOT found")
    SET(ENABLE_VTK OFF)
    SET(DISABLED_FEATS "${DISABLED_FEATS} VTK")
  ENDIF(VTK_FOUND)
ELSE(ENABLE_VTK)
  SET(DISABLED_FEATS "${DISABLED_FEATS} VTK")
ENDIF(ENABLE_VTK)
#===========================================================
IF(ENABLE_OPENMP)
  FIND_PACKAGE(OpenMP)
  IF(OPENMP_FOUND)
    SET(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -DYADE_OPENMP ${OpenMP_CXX_FLAGS}")
    MESSAGE(STATUS "Found OpenMP")
    SET(CONFIGURED_FEATS "${CONFIGURED_FEATS} OpenMP")
  ELSE(OPENMP_FOUND)
    MESSAGE(STATUS "OpenMP NOT found")
    SET(ENABLE_OPENMP OFF)
    SET(DISABLED_FEATS "${DISABLED_FEATS} OPENMP")
  ENDIF(OPENMP_FOUND)
ELSE(ENABLE_OPENMP)
  SET(DISABLED_FEATS "${DISABLED_FEATS} OPENMP")
ENDIF(ENABLE_OPENMP)
#===========================================================
IF(ENABLE_GTS)
  FIND_PACKAGE(GTS)
  FIND_PACKAGE(glib2)
  IF(GTS_FOUND AND GLIB2_FOUND)
    SET(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -DYADE_GTS ${CMAKE_GTS_CXX_FLAGS}")
    SET(CMAKE_LD_FLAGS  "${CMAKE_LD_FLAGS} ${GTS_LIBRARIES}")
    INCLUDE_DIRECTORIES(${GTS_INCLUDE_DIR})
    INCLUDE_DIRECTORIES(${GLIB2_INCLUDE_DIRS})
    MESSAGE(STATUS "Found GTS")
    SET(CONFIGURED_FEATS "${CONFIGURED_FEATS} GTS")
  ELSE(GTS_FOUND AND GLIB2_FOUND)
    MESSAGE(STATUS "GTS NOT found")
    SET(DISABLED_FEATS "${DISABLED_FEATS} GTS")
    SET(ENABLE_GTS OFF)
  ENDIF(GTS_FOUND AND GLIB2_FOUND)
ELSE(ENABLE_GTS)
  SET(DISABLED_FEATS "${DISABLED_FEATS} GTS")
ENDIF(ENABLE_GTS)
#===========================================================
IF(ENABLE_GUI)
  FIND_PACKAGE(OpenGL)
  FIND_PACKAGE(GLUT)
  FIND_PACKAGE(glib2)
  FIND_PACKAGE(QGLVIEWER)
    
  IF(USE_QT5)
    FIND_PACKAGE(Qt5 CONFIG REQUIRED Widgets Xml OpenGL)
    SET(CMAKE_AUTOMOC ON)
    FIND_PACKAGE(Qt5Widgets)
    IF(Qt5Widgets_FOUND AND OPENGL_FOUND AND GLUT_FOUND AND GLIB2_FOUND AND QGLVIEWER_FOUND)
      SET(GUI_LIBS ${GLUT_LIBRARY} ${QGLVIEWER_LIBRARIES})
      SET(GUI_SRC_LIB "lib/opengl/GLUtils.cpp")
      SET(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -DYADE_OPENGL -DYADE_QT5")
      
      MESSAGE(STATUS "Found GUI-Qt5-LIBS")
      SET(CONFIGURED_FEATS "${CONFIGURED_FEATS} GUI-Qt5")
    ELSE(Qt5Widgets_FOUND AND OPENGL_FOUND AND GLUT_FOUND AND GLIB2_FOUND AND QGLVIEWER_FOUND)
      MESSAGE(STATUS "GUI-Qt5-LIBS NOT found")
      SET(DISABLED_FEATS "${DISABLED_FEATS} GUI-Qt5")
      SET(ENABLE_GUI OFF)
    ENDIF(Qt5Widgets_FOUND AND OPENGL_FOUND AND GLUT_FOUND AND GLIB2_FOUND AND QGLVIEWER_FOUND)
  ELSE(USE_QT5)   # Use Qt4
    FIND_PACKAGE(Qt4 COMPONENTS QtCore QtGui QtOpenGL)
    IF(QT4_FOUND AND OPENGL_FOUND AND GLUT_FOUND AND GLIB2_FOUND AND QGLVIEWER_FOUND)
      SET(GUI_LIBS ${GLUT_LIBRARY} ${OPENGL_LIBRARY} ${QGLVIEWER_LIBRARIES})
      SET(GUI_SRC_LIB "lib/opengl/GLUtils.cpp")
      SET(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -DYADE_OPENGL -DYADE_QT4")
      INCLUDE_DIRECTORIES(${GLIB2_INCLUDE_DIRS})
      INCLUDE_DIRECTORIES(${QT_INCLUDES})
      
      MESSAGE(STATUS "Found GUI-LIBS")
      SET(CONFIGURED_FEATS "${CONFIGURED_FEATS} GUI")
    ELSE(QT4_FOUND AND OPENGL_FOUND AND GLUT_FOUND AND GLIB2_FOUND AND QGLVIEWER_FOUND)
      MESSAGE(STATUS "GUI-LIBS NOT found")
      SET(DISABLED_FEATS "${DISABLED_FEATS} GUI")
      SET(ENABLE_GUI OFF)
    ENDIF(QT4_FOUND AND OPENGL_FOUND AND GLUT_FOUND AND GLIB2_FOUND AND QGLVIEWER_FOUND)
  ENDIF(USE_QT5)
ELSE(ENABLE_GUI)
  SET(DISABLED_FEATS "${DISABLED_FEATS} GUI")
ENDIF(ENABLE_GUI)
#===========================================================
# This one will automatically enable CGAL
IF(ENABLE_PFVFLOW)
  IF (NOT ENABLE_CGAL)
    MESSAGE(STATUS "PFVFLOW depends on CGAL, attempting to turn ENABLE_CGAL ON")
    SET(ENABLE_CGAL ON)
  ENDIF (NOT ENABLE_CGAL)

=== gui/CMakeLists.txt ===
IF(${ENABLE_GUI})
  INCLUDE_DIRECTORIES(${QGLVIEWER_INCLUDE_DIR})
  IF(USE_QT5)
    SET(CMAKE_AUTOMOC ON)
    SET(_GLViewer_SOURCE_FILES qt5/GLViewer.cpp;qt5/_GLViewer.cpp;qt5/OpenGLManager.cpp;qt5/GLViewerDisplay.cpp;qt5/GLViewerMouse.cpp)
    ADD_LIBRARY(_GLViewer SHARED ${_GLViewer_SOURCE_FILES})
    SET_TARGET_PROPERTIES(_GLViewer PROPERTIES PREFIX "")
    TARGET_LINK_LIBRARIES(_GLViewer Qt5::Widgets Qt5::Xml Qt5::OpenGL
                                    ${GLUT_LIBRARY} ${OPENGL_LIBRARY}
                                    ${QGLVIEWER_LIBRARIES}
                                    ${Boost_LIBRARIES} ${PYTHON_LIBRARIES})
    IF(GL2PS_FOUND AND ENABLE_GL2PS)
      TARGET_LINK_LIBRARIES(_GLViewer ${GL2PS_LIBRARIES})
    ENDIF(GL2PS_FOUND AND ENABLE_GL2PS)
    INSTALL(TARGETS _GLViewer DESTINATION ${YADE_PY_PATH}/yade/qt)
    
    FILE(GLOB filesPYQT "${CMAKE_CURRENT_SOURCE_DIR}/qt5/*.py")
    INSTALL(FILES ${filesPYQT} DESTINATION ${YADE_PY_PATH}/yade/qt)
    
    EXECUTE_PROCESS(
          COMMAND "pyrcc5" "-o" "${CMAKE_BINARY_DIR}/img_rc.py" "img.qrc"
          WORKING_DIRECTORY ${CMAKE_CURRENT_SOURCE_DIR}/qt5
          RESULT_VARIABLE rv
          )
    
    EXECUTE_PROCESS(
          COMMAND "pyuic5" "-o" "${CMAKE_BINARY_DIR}/ui_controller.py" "controller.ui"
          WORKING_DIRECTORY ${CMAKE_CURRENT_SOURCE_DIR}/qt5
          RESULT_VARIABLE rv
          )
    INSTALL(FILES ${CMAKE_BINARY_DIR}/img_rc.py ${CMAKE_BINARY_DIR}/ui_controller.py  DESTINATION ${YADE_PY_PATH}/yade/qt)
    TARGET_LINK_LIBRARIES(_GLViewer Qt5::Widgets Qt5::Xml Qt5::OpenGL
                                    ${GLUT_LIBRARY} ${OPENGL_LIBRARY}
                                    ${QGLVIEWER_LIBRARIES}
                                    ${Boost_LIBRARIES} ${PYTHON_LIBRARIES})
    IF(GL2PS_FOUND AND ENABLE_GL2PS)
      TARGET_LINK_LIBRARIES(_GLViewer ${GL2PS_LIBRARIES})
    ENDIF(GL2PS_FOUND AND ENABLE_GL2PS)
    INSTALL(TARGETS _GLViewer DESTINATION ${YADE_PY_PATH}/yade/qt)
    
    FILE(GLOB filesPYQT "${CMAKE_CURRENT_SOURCE_DIR}/qt5/*.py")
    INSTALL(FILES ${filesPYQT} DESTINATION ${YADE_PY_PATH}/yade/qt)
    
    EXECUTE_PROCESS(
          COMMAND "pyrcc5" "-o" "${CMAKE_BINARY_DIR}/img_rc.py" "img.qrc"
          WORKING_DIRECTORY ${CMAKE_CURRENT_SOURCE_DIR}/qt4
          RESULT_VARIABLE rv
          )
    
    EXECUTE_PROCESS(
          COMMAND "pyuic5" "-o" "${CMAKE_BINARY_DIR}/ui_controller.py" "controller.ui"
          WORKING_DIRECTORY ${CMAKE_CURRENT_SOURCE_DIR}/qt5
          RESULT_VARIABLE rv
          )
    INSTALL(FILES ${CMAKE_BINARY_DIR}/img_rc.py ${CMAKE_BINARY_DIR}/ui_controller.py  DESTINATION ${YADE_PY_PATH}/yade/qt)
  ELSE(USE_QT5)
    INCLUDE(${QT_USE_FILE})
    
    SET(_GLViewer_MOC_HEADERS qt4/GLViewer.hpp;qt4/OpenGLManager.hpp)
    SET(_GLViewer_SOURCE_FILES qt4/GLViewer.cpp;qt4/_GLViewer.cpp;qt4/OpenGLManager.cpp;qt4/GLViewerDisplay.cpp;qt4/GLViewerMouse.cpp)
    
    QT4_WRAP_CPP(_GLViewer_MOC_OUTFILES ${_GLViewer_MOC_HEADERS})
    
    ADD_LIBRARY(_GLViewer SHARED ${_GLViewer_SOURCE_FILES} ${_GLViewer_MOC_OUTFILES})
    SET_TARGET_PROPERTIES(_GLViewer PROPERTIES PREFIX "")
    TARGET_LINK_LIBRARIES(_GLViewer ${GLUT_LIBRARY} ${OPENGL_LIBRARY} ${QT_LIBRARIES} ${QGLVIEWER_LIBRARIES} ${Boost_LIBRARIES} ${PYTHON_LIBRARIES})
    IF(GL2PS_FOUND AND ENABLE_GL2PS)
      TARGET_LINK_LIBRARIES(_GLViewer ${GL2PS_LIBRARIES})
    ENDIF(GL2PS_FOUND AND ENABLE_GL2PS)
    INSTALL(TARGETS _GLViewer DESTINATION ${YADE_PY_PATH}/yade/qt)
    
    FILE(GLOB filesPYQT "${CMAKE_CURRENT_SOURCE_DIR}/qt4/*.py")
    INSTALL(FILES ${filesPYQT} DESTINATION ${YADE_PY_PATH}/yade/qt)
    
    EXECUTE_PROCESS(
          COMMAND "pyrcc4" "-o" "${CMAKE_BINARY_DIR}/img_rc.py" "img.qrc"
          WORKING_DIRECTORY ${CMAKE_CURRENT_SOURCE_DIR}/qt4
          RESULT_VARIABLE rv
          )
    
    EXECUTE_PROCESS(
          COMMAND "pyuic4" "-o" "${CMAKE_BINARY_DIR}/ui_controller.py" "controller.ui"
          WORKING_DIRECTORY ${CMAKE_CURRENT_SOURCE_DIR}/qt4
          RESULT_VARIABLE rv
          )
    INSTALL(FILES ${CMAKE_BINARY_DIR}/img_rc.py ${CMAKE_BINARY_DIR}/ui_controller.py  DESTINATION ${YADE_PY_PATH}/yade/qt)
  ENDIF(USE_QT5)
ENDIF(${ENABLE_GUI})

=== debian/changelog ===
yade (1.20.0-7) unstable; urgency=high

  * [5fb4ec8] Fix warning in newer matplotlib.

 -- Anton Gladky <gladk@debian.org>  Sun, 14 Feb 2016 11:38:28 +0100

yade (1.20.0-6) unstable; urgency=medium

  * [87574cb] Disable parallel builds. (Closes: #805032)

 -- Anton Gladky <gladk@debian.org>  Fri, 13 Nov 2015 21:06:18 +0100

yade (1.20.0-5) unstable; urgency=medium

  * [0a7070e] Do not use parallel build on arm64

 -- Anton Gladky <gladk@debian.org>  Mon, 26 Oct 2015 17:58:12 +0100

yade (1.20.0-4) unstable; urgency=medium

  * [e6cacc9] Remove amd64 from unsupported archs.

 -- Anton Gladky <gladk@debian.org>  Sun, 25 Oct 2015 14:23:43 +0100

yade (1.20.0-3) unstable; urgency=medium

  * [eba76bf] Remove menu-file.
  * [c490032] Drop unused architectures. (Closes: #793833)

 -- Anton Gladky <gladk@debian.org>  Sun, 25 Oct 2015 14:18:38 +0100

yade (1.20.0-2) unstable; urgency=medium

  * [de077fc] Replace INSTALL_PREFIX by CMAKE_INSTALL_PREFIX.
  * [9d7b263] Do not require libqglviewer-dev on armel and armhf.

 -- Anton Gladky <gladk@debian.org>  Sun, 11 Oct 2015 09:55:07 +0200

yade (1.20.0-1) unstable; urgency=medium

  * [07a04e8] Imported Upstream version 1.20.0
  * [e1fae74] Migrate to Qt5
  * [12cc97b] Enable SPH.
  * [fe64fdd] Remove patches applied by upstream.
  * [b8178ce] Remove python-argparse from build-depends.
  * [d741b20] Enable parallel build.

 -- Anton Gladky <gladk@debian.org>  Sat, 10 Oct 2015 12:49:01 +0200

yade (1.14.0-7) unstable; urgency=medium

  * [66b209d] Do not install qt on armel and armhf.

 -- Anton Gladky <gladk@debian.org>  Sun, 13 Sep 2015 13:53:41 +0200

yade (1.14.0-6) unstable; urgency=medium

  * [e147975] Build on all possible platforms.
  * [4296fd1] Drop old Breaks/Replaces.

 -- Anton Gladky <gladk@debian.org>  Sat, 12 Sep 2015 21:13:33 +0200

yade (1.14.0-5) unstable; urgency=medium

  * [170f338] Drop vtk support on armel and armhf.
  * [bed9ecf] Fix compilation without GUI on armel and armhf.

 -- Anton Gladky <gladk@debian.org>  Sun, 19 Jul 2015 21:45:10 +0300

yade (1.14.0-4) unstable; urgency=medium

  * [c820752] Drop GUI-option for armel and armhf.

 -- Anton Gladky <gladk@debian.org>  Sat, 18 Jul 2015 08:02:35 +0300

yade (1.14.0-3) unstable; urgency=medium

  * [dcc15ea] Fix compilation against new libqglviewer. (Closes: #790627)
  * [2a34be9] Update d/copyright.

 -- Anton Gladky <gladk@debian.org>  Sat, 04 Jul 2015 14:09:45 +0200

yade (1.14.0-2) unstable; urgency=medium

  * [48899db] Add python-sip to BD.

 -- Anton Gladky <gladk@debian.org>  Mon, 15 Jun 2015 23:27:06 +0200

yade (1.14.0-1) unstable; urgency=medium

  * [cef3691] Imported Upstream version 1.14.0
  * [0f5f82a] Remove applied patch.
  * [ea3deda] Update d/copyright.
  * [ee055e2] Apply cme fix dpkg-control.
  * [d00d812] Remove FindVTK from cmake. (Closes: #788372)

 -- Anton Gladky <gladk@debian.org>  Fri, 12 Jun 2015 18:42:25 +0200

yade (1.12.0-3~exp1) experimental; urgency=medium

  [ Anton Gladky ]
  * [5ac2a25] Let yade be built only on specific archs.

  [ Dejan Latinovic ]
  * [ac47ddb] Enable yade on on mips/mipsel. (Closes: #777065)

  [ Anton Gladky ]
  * [fef7397] Fix compilation with  GCC-5. (Closes: #778190).

 -- Anton Gladky <gladk@debian.org>  Tue, 17 Feb 2015 00:05:40 +0100

=== debian/control ===
Source: yade
Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Anton Gladky <gladk@debian.org>
Section: science
Testsuite: autopkgtest
Priority: extra
Build-Depends: cmake,
               debhelper (>= 9),
               freeglut3-dev,
               help2man,
               ipython,
               libboost-all-dev,
               libbz2-dev,
               libcgal-dev,
               libeigen3-dev (>= 3.2.1-2),
               libgl1-mesa-dev,
               libgts-dev,
               libloki-dev,
               libmetis-dev [amd64 i386 powerpc],
               libopenblas-dev [amd64 i386 powerpc],
               libqglviewer-dev,
               libsuitesparse-dev [amd64 i386 powerpc],
               libvtk6-dev,
               libxi-dev,
               libxmu-dev,
               pyqt5-dev-tools,
               python-all-dev,
               python-gts,
               python-imaging,
               python-matplotlib,
               python-minieigen,
               python-numpy,
               python-sip,
               python-pyqt5,
               python-tk,
               python-xlib,
               zlib1g-dev
Build-Depends-Indep: dvipng,
                     graphviz,
                     libjs-jquery,
                     lmodern,
                     python-bibtex,
                     python-sphinx (>= 1.0.7+dfsg),
                     texlive-fonts-recommended,
                     texlive-latex-extra,
                     texlive-latex-recommended,
                     texlive-pictures,
                     texlive-xetex,
                     tipa
Standards-Version: 3.9.6
Vcs-Browser: https://anonscm.debian.org/cgit/debian-science/packages/yade.git
Vcs-Git: git://anonscm.debian.org/debian-science/packages/yade.git
Homepage: https://launchpad.net/yade
X-Python-Version: current

Package: yade
Architecture: any
Multi-Arch: foreign
Depends: gnuplot,
         gtk2-engines-pixbuf,
         ipython,
         libyade (= ${binary:Version}),
         python-yade (= ${binary:Version}),
         ${python:Depends},
         ${misc:Depends}
Pre-Depends: ${misc:Pre-Depends}
Description: Platform for discrete element modeling
 Yet Another Dynamic Engine.
 .
 Extensible open-source framework for discrete numerical models,
 focused on Discrete Element Method.
 The computation parts are written in c++ using flexible object model,
 allowing independent implementation of new algorithms and interfaces.
 Python is used for rapid and concise scene construction,
 simulation control, postprocessing and debugging.
 .
 This package contains speed-optimized build of yade.

Package: libyade
Architecture: any
Multi-Arch: same
Depends: libopenblas-dev [amd64 i386 ia64 kfreebsd-amd64 kfreebsd-i386 powerpc],
         ${misc:Depends},
         ${shlibs:Depends}
Pre-Depends: ${misc:Pre-Depends}
Description: Platform for discrete element modeling. Libraries
 Yet Another Dynamic Engine.
 .
 Extensible open-source framework for discrete numerical models,
 focused on Discrete Element Method.
 The computation parts are written in c++ using flexible object model,
 allowing independent implementation of new algorithms and interfaces.
 Python is used for rapid and concise scene construction,
 simulation control, postprocessing and debugging.
 .
 This package contains yade`s libraries.

Package: python-yade
Architecture: any
Multi-Arch: foreign
Section: python
Depends: libyade (= ${binary:Version}),
         python-argparse,
         python-gts,
         python-imaging,
         python-matplotlib,
         python-minieigen,
         python-pyqt5,
         python-tk,
         python-xlib,
         ${misc:Depends},
         ${python:Depends},
         ${shlibs:Depends}
Pre-Depends: ${misc:Pre-Depends}
Description: Platform for discrete element modeling. Python bindings
 Yet Another Dynamic Engine.
 .
 Extensible open-source framework for discrete numerical models,
 focused on Discrete Element Method.
 The computation parts are written in c++ using flexible object model,
 allowing independent implementation of new algorithms and interfaces.
 Python is used for rapid and concise scene construction,
 simulation control, postprocessing and debugging.
 .
 This package contains python bindings for yade.

Package: yade-doc
Architecture: all
Section: doc
Depends: ${sphinxdoc:Depends},
         ${misc:Depends}
Recommends: yade
Description: Platform for discrete element modeling. Documentation
 Yet Another Dynamic Engine.
 .
 Extensible open-source framework for discrete numerical models,
 focused on Discrete Element Method.
 The computation parts are written in c++ using flexible object model,
 allowing independent implementation of new algorithms and interfaces.
 Python is used for rapid and concise scene construction,
 simulation control, postprocessing and debugging.
 .
 This package contains examples, test scripts and documentation.

=== debian/rules ===
#!/usr/bin/make -f
BUILDDIR = $(CURDIR)/debian/build
tmpInstall = $(CURDIR)/debian/tmp
tmpDirMatplotLib = $(CURDIR)/debian/matplotlib

%:
	dh $@ --builddirectory=$(BUILDDIR) --with python2

export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed,-no-keep-memory

# Check, whether Build-Depends-Indep are installed
BUILD_DOC=$(shell dpkg -s python-sphinx | grep -q "^Status:.* installed$$" && echo yes)

export MPLCONFIGDIR := $(tmpDirMatplotLib) 
export HOME := $(tmpDirMatplotLib) 
export LD_LIBRARY_PATH :=  $(tmpInstall)/usr/lib/$(DEB_HOST_MULTIARCH)/yade/py:$(tmpInstall)/usr/lib/$(DEB_HOST_MULTIARCH)/yade:$(tmpInstall)/usr/lib/$(DEB_HOST_MULTIARCH)/yade/py:$(tmpInstall)/usr/lib/$(DEB_HOST_MULTIARCH)/yade/py/gts:$(tmpInstall)/usr/lib/$(DEB_HOST_MULTIARCH)/yade/py/yade:$(tmpInstall)/usr/lib/$(DEB_HOST_MULTIARCH)/yade/py/yade/qt:$(LD_LIBRARY_PATH); 
export DEB_HOST_MULTIARCH := $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
export YADE_PREFIX := $(tmpInstall)/usr

extra_flags += \
-DruntimePREFIX="/usr" \
-DCMAKE_INSTALL_PREFIX="/usr" \
-DNOSUFFIX=ON \
-DLIBRARY_OUTPUT_PATH=lib/$(DEB_HOST_MULTIARCH) \
-DUSE_QT5=ON \
-DENABLE_SPH=ON

override_dh_auto_configure:
ifneq (,$(filter $(DEB_HOST_ARCH), armel armhf mips mipsel))
	echo 'This architecture is not supported, exiting'
	exit 2
endif
	dh_auto_configure -- $(extra_flags)
	mkdir -p $(tmpDirMatplotLib)
	mkdir -p $(tmpInstall)
	#Output an information about available memory and CPU
	-cat /proc/meminfo
	-cat /proc/cpuinfo

override_dh_auto_install:
	dh_auto_install
	# generate manpages
	help2man $(tmpInstall)/usr/bin/yade > yade.1
	help2man $(tmpInstall)/usr/bin/yade-batch > yade-batch.1
	$(tmpInstall)/usr/bin/yade --test
ifeq (,$(filter $(DEB_HOST_ARCH), mips mipsel))
	$(tmpInstall)/usr/bin/yade --check
endif
	dh_numpy
ifeq ($(BUILD_DOC), yes)
	#Generate docs
	cd $(CURDIR)/doc/sphinx; PYTHONPATH=. $(tmpInstall)/usr/bin/yade yadeSphinx.py; cd _build/latex; xelatex Yade.tex; xelatex Yade.tex; xelatex Yade.tex;
endif
	#Delete all pyc files
	find . -name '*.pyc' -print0 | xargs -0 rm -f

override_dh_installchangelogs:
	dh_installchangelogs ChangeLog

override_dh_installman:
	dh_installman -p yade yade.1 yade-batch.1

override_dh_compress:
	dh_compress --all -X.py -X.stl -X.gts -X.geo -X.mesh -X.msh -X.pdf -X.png -X.svg -X.txt -X.js -X.inv

override_dh_auto_test: 

override_dh_installdocs:
	dh_installdocs
ifeq ($(BUILD_DOC), yes)
	dh_sphinxdoc
endif

override_dh_auto_clean:
	dh_auto_clean
	rm -rf $(BUILDDIR)

=== debian/tests/control ===
Tests: yadetest

## yade 2016.06a

=== CMakeLists.txt ===
--- 
+++ 
@@ -19,10 +19,11 @@
 #  ENABLE_LIQMIGRATION: enable LIQMIGRATION-option, see [Mani2013] for details (OFF by default)
 #  ENABLE_MASK_ARBITRARY: enable MASK_ARBITRARY option (OFF by default)
 #  ENABLE_PROFILING: enable profiling, e.g. shows some more metrics, which can define bottlenecks of the code (OFF by default)
+#  ENABLE_POTENTIAL_PARTICLES: enable potential particles option (OFF by default)
 #  runtimePREFIX: used for packaging, when install directory is not the same is runtime directory (/usr/local by default)
 #  CHUNKSIZE: set >1, if you want several sources to be compiled at once. Increases compilation speed and RAM-consumption during it (1 by default)
 #  VECTORIZE: enables vectorization and alignment in Eigen3 library, experimental (OFF by default)
-#  USE_QT5: use QT5 for GUI, experimental (OFF by default)
+#  USE_QT5: use QT5 for GUI (ON by default)
 
 project(Yade C CXX)
 cmake_minimum_required(VERSION 2.8.11)
@@ -71,19 +72,21 @@
   ENDIF()
 ENDIF()
 
-SET(CMAKE_CXX_FLAGS  "${CMAKE_CXX_FLAGS} -fPIC -O2 --param=ssp-buffer-size=4 -Wformat -Wformat-security -Werror=format-security -Wall -std=c++0x")
+SET(CMAKE_CXX_FLAGS  "${CMAKE_CXX_FLAGS} -fPIC -O2 --param=ssp-buffer-size=4 -Wformat -Wformat-security -Werror=format-security -Wall -std=c++11 ")
 
 IF (DEBUG)
   SET(CMAKE_VERBOSE_MAKEFILE 1)
   SET(CMAKE_BUILD_TYPE Debug)
   ADD_DEFINITIONS("-DYADE_DEBUG -g")
+ELSE (DEBUG)
+  ADD_DEFINITIONS("-DNDEBUG")
 ENDIF (DEBUG)
 
 #===========================================================
 # Add possibility to use local boost installation (e.g. -DLocalBoost=1.46.1)
 
 IF ( NOT LocalBoost )
-  SET(LocalBoost "1.35.0") # Minimal required Boost version
+  SET(LocalBoost "1.47.0") # Minimal required Boost version
 ENDIF ( NOT LocalBoost )
 FIND_PACKAGE(Boost ${LocalBoost} COMPONENTS python thread filesystem iostreams regex serialization system date_time REQUIRED)
 INCLUDE_DIRECTORIES (${Boost_INCLUDE_DIRS})
@@ -127,7 +130,8 @@
 OPTION(ENABLE_LIQMIGRATION "Enable liquid control (very experimental), see [Mani2013] for details" OFF)
 OPTION(ENABLE_MASK_ARBITRARY "Enable arbitrary precision of bitmask variables (only Body::groupMask yet implemented) (experimental). Use -DMASK_ARBITRARY_SIZE=int to set number of used bits (256 by default)" OFF)
 OPTION(ENABLE_PROFILING "Enable profiling, e.g. shows some more metrics, which can define bottlenecks of the code (OFF by default)" OFF)
-OPTION(USE_QT5 "USE Qt5 for GUI" OFF)
+OPTION(ENABLE_POTENTIAL_PARTICLES "Enable potential particles" OFF)
+OPTION(USE_QT5 "USE Qt5 for GUI" ON)
 
 #===========================================================
 # Use Eigen3 by default
@@ -219,9 +223,9 @@
   FIND_PACKAGE(OpenGL)
   FIND_PACKAGE(GLUT)
   FIND_PACKAGE(glib2)
-  FIND_PACKAGE(QGLVIEWER)
     
   IF(USE_QT5)
+    FIND_PACKAGE(QGLVIEWER-qt5 REQUIRED)
     FIND_PACKAGE(Qt5 CONFIG REQUIRED Widgets Xml OpenGL)
     SET(CMAKE_AUTOMOC ON)
     FIND_PACKAGE(Qt5Widgets)
@@ -238,6 +242,7 @@
       SET(ENABLE_GUI OFF)
     ENDIF(Qt5Widgets_FOUND AND OPENGL_FOUND AND GLUT_FOUND AND GLIB2_FOUND AND QGLVIEWER_FOUND)
   ELSE(USE_QT5)   # Use Qt4
+    FIND_PACKAGE(QGLVIEWER-qt4 REQUIRED)
     FIND_PACKAGE(Qt4 COMPONENTS QtCore QtGui QtOpenGL)
     IF(QT4_FOUND AND OPENGL_FOUND AND GLUT_FOUND AND GLIB2_FOUND AND QGLVIEWER_FOUND)
       SET(GUI_LIBS ${GLUT_LIBRARY} ${OPENGL_LIBRARY} ${QGLVIEWER_LIBRARIES})
@@ -257,10 +262,3 @@
 ELSE(ENABLE_GUI)
   SET(DISABLED_FEATS "${DISABLED_FEATS} GUI")
 ENDIF(ENABLE_GUI)
-#===========================================================
-# This one will automatically enable CGAL
-IF(ENABLE_PFVFLOW)
-  IF (NOT ENABLE_CGAL)
-    MESSAGE(STATUS "PFVFLOW depends on CGAL, attempting to turn ENABLE_CGAL ON")
-    SET(ENABLE_CGAL ON)
-  ENDIF (NOT ENABLE_CGAL)

=== debian/changelog ===
yade (2016.06a-4) unstable; urgency=medium

  * [c982cf0] Add python-pyqt5.qtwebkit to dependencies.
  * [9525172] Fix crash during testing.

 -- Anton Gladky <gladk@debian.org>  Wed, 24 Aug 2016 20:14:20 +0200

yade (2016.06a-3) unstable; urgency=medium

  * [a216214] Disable check-script temporarily.

 -- Anton Gladky <gladk@debian.org>  Tue, 26 Jul 2016 19:42:51 +0200

yade (2016.06a-2) unstable; urgency=medium

  * [0713e25] Add texlive-generic-extra to build-depends. (Closes: #829352)

 -- Anton Gladky <gladk@debian.org>  Mon, 25 Jul 2016 21:17:53 +0200

yade (2016.06a-1) unstable; urgency=medium

  * [a70d0b6] Refresh, update patches.
  * [6bff5bc] Imported Upstream version 2016.06a
  * [4916356] Apply cme fix dpkg.

 -- Anton Gladky <gladk@debian.org>  Sun, 19 Jun 2016 17:23:23 +0200

yade (1.20.0-10) unstable; urgency=medium

  [ Anton Gladky ]
  * [bc45d12] Remove some machine-specific items in documentation.

  [ Graham Inggs ]
  * [57d5a6d] Fix glibc_2.23 compilation. (Closes: #820450)

 -- Anton Gladky <gladk@debian.org>  Thu, 02 Jun 2016 22:56:10 +0200

yade (1.20.0-9) unstable; urgency=medium

  [ Anton Gladky ]
  * [2a9a603] Update dependencies for libqglviewer-dev-qt5.

  [ Graham Inggs ]
  * [a68444e] Fix FTBFS with glibc 2.23. (Closes: #820450)

 -- Anton Gladky <gladk@debian.org>  Fri, 20 May 2016 19:49:42 +0200

yade (1.20.0-8) unstable; urgency=medium

  * [1960e9d] Add allow-stderr to autopkgtests.

 -- Anton Gladky <gladk@debian.org>  Fri, 18 Mar 2016 06:31:45 +0100

=== debian/control ===
--- 
+++ 
@@ -18,7 +18,7 @@
                libloki-dev,
                libmetis-dev [amd64 i386 powerpc],
                libopenblas-dev [amd64 i386 powerpc],
-               libqglviewer-dev,
+               libqglviewer-dev-qt5,
                libsuitesparse-dev [amd64 i386 powerpc],
                libvtk6-dev,
                libxi-dev,
@@ -40,16 +40,17 @@
                      libjs-jquery,
                      lmodern,
                      python-bibtex,
-                     python-sphinx (>= 1.0.7+dfsg),
+                     python-sphinx,
                      texlive-fonts-recommended,
+                     texlive-generic-extra,
                      texlive-latex-extra,
                      texlive-latex-recommended,
                      texlive-pictures,
                      texlive-xetex,
                      tipa
-Standards-Version: 3.9.6
+Standards-Version: 3.9.8
 Vcs-Browser: https://anonscm.debian.org/cgit/debian-science/packages/yade.git
-Vcs-Git: git://anonscm.debian.org/debian-science/packages/yade.git
+Vcs-Git: https://anonscm.debian.org/git/debian-science/packages/yade.git
 Homepage: https://launchpad.net/yade
 X-Python-Version: current
 
@@ -61,6 +62,7 @@
          ipython,
          libyade (= ${binary:Version}),
          python-yade (= ${binary:Version}),
+         python-pyqt5.qtwebkit,
          ${python:Depends},
          ${misc:Depends}
 Pre-Depends: ${misc:Pre-Depends}

=== debian/rules ===
--- 
+++ 
@@ -43,9 +43,7 @@
 	help2man $(tmpInstall)/usr/bin/yade > yade.1
 	help2man $(tmpInstall)/usr/bin/yade-batch > yade-batch.1
 	$(tmpInstall)/usr/bin/yade --test
-ifeq (,$(filter $(DEB_HOST_ARCH), mips mipsel))
 	$(tmpInstall)/usr/bin/yade --check
-endif
 	dh_numpy
 ifeq ($(BUILD_DOC), yes)
 	#Generate docs

## yade 2017.01a

=== CMakeLists.txt ===
--- 
+++ 
@@ -44,6 +44,7 @@
 INCLUDE(FindPythonModule)
 INCLUDE(GNUInstallDirs)
 
+
 INCLUDE_DIRECTORIES (${CMAKE_SOURCE_DIR})
 
 #===========================================================
@@ -72,7 +73,7 @@
   ENDIF()
 ENDIF()
 
-SET(CMAKE_CXX_FLAGS  "${CMAKE_CXX_FLAGS} -fPIC -O2 --param=ssp-buffer-size=4 -Wformat -Wformat-security -Werror=format-security -Wall -std=c++11 ")
+SET(CMAKE_CXX_FLAGS  "${CMAKE_CXX_FLAGS} -fPIC -O2 --param=ssp-buffer-size=4 -Wformat -Wformat-security -Werror=format-security -Wall -std=c++11 -fext-numeric-literals")
 
 IF (DEBUG)
   SET(CMAKE_VERBOSE_MAKEFILE 1)
@@ -132,6 +133,7 @@
 OPTION(ENABLE_PROFILING "Enable profiling, e.g. shows some more metrics, which can define bottlenecks of the code (OFF by default)" OFF)
 OPTION(ENABLE_POTENTIAL_PARTICLES "Enable potential particles" OFF)
 OPTION(USE_QT5 "USE Qt5 for GUI" ON)
+OPTION(ENABLE_POTENTIAL_BLOCKS "Enable PotentialBlocks" OFF)
 
 #===========================================================
 # Use Eigen3 by default
@@ -169,7 +171,7 @@
      ((Boost_MINOR_VERSION EQUAL 53) OR (Boost_MINOR_VERSION GREATER 53)))
 #===========================================================
 IF(ENABLE_VTK)
-  FIND_PACKAGE(VTK COMPONENTS vtkCommonCore vtkIOImage vtkIOXML)
+  FIND_PACKAGE(VTK COMPONENTS vtkCommonCore vtkIOImage vtkIOXML vtkFiltersCore vtkImagingCore vtkRenderingCore vtkImagingGeneral vtkImagingHybrid)
   IF(VTK_FOUND)
     INCLUDE_DIRECTORIES(${VTK_INCLUDE_DIRS})
     LINK_DIRECTORIES( ${VTK_LIBRARY_DIRS} )
@@ -257,8 +259,3 @@
       MESSAGE(STATUS "GUI-LIBS NOT found")
       SET(DISABLED_FEATS "${DISABLED_FEATS} GUI")
       SET(ENABLE_GUI OFF)
-    ENDIF(QT4_FOUND AND OPENGL_FOUND AND GLUT_FOUND AND GLIB2_FOUND AND QGLVIEWER_FOUND)
-  ENDIF(USE_QT5)
-ELSE(ENABLE_GUI)
-  SET(DISABLED_FEATS "${DISABLED_FEATS} GUI")
-ENDIF(ENABLE_GUI)

=== debian/changelog ===
yade (2017.01a-9) unstable; urgency=medium

  * [fef2967] Drop file-duplocates in python-yade. (Closes: #868552)
  * [08aa6fe] List all supported archs in d/control. (Closes: #860854)
  * [9804642] Replace obsolete python-imaging by python-pil. (Closes: #866501)
  * [7852bd4] Apply cme fix dpkg. Migrate to Standards-Version 4.0.0.

 -- Anton Gladky <gladk@debian.org>  Mon, 31 Jul 2017 00:34:52 +0200

yade (2017.01a-8) unstable; urgency=medium

  [ Bruno Chareyre ]
  * [be08409] Critical bugfix for periodic boundaries.

 -- Anton Gladky <gladk@debian.org>  Fri, 14 Apr 2017 12:43:59 +0200

yade (2017.01a-7) unstable; urgency=medium

  * [31387da] Add missing dependency on python-pyqt5.qtsvg in python-yade.

 -- Anton Gladky <gladk@debian.org>  Tue, 28 Feb 2017 22:03:24 +0100

yade (2017.01a-6) unstable; urgency=medium

  * [2366d84] Add missing dependency on python-pyqt5.qtsvg.

 -- Anton Gladky <gladk@debian.org>  Tue, 28 Feb 2017 21:53:02 +0100

yade (2017.01a-5) unstable; urgency=medium

  * [eb193dd] Revert patch applied by last upload.
  * [11efabc] Stop generating of PDF file. (Closes: #856218)

 -- Anton Gladky <gladk@debian.org>  Mon, 27 Feb 2017 23:20:27 +0100

yade (2017.01a-4) unstable; urgency=medium

  * [e248862] Fix FTBFS during documentation build. (Closes: #856218)

 -- Anton Gladky <gladk@debian.org>  Sun, 26 Feb 2017 20:21:22 +0100

yade (2017.01a-3) unstable; urgency=medium

  * [14120f5] Initialize GUI in IPython 5. (Closes: #856175)

 -- Anton Gladky <gladk@debian.org>  Sun, 26 Feb 2017 00:47:26 +0100

yade (2017.01a-2) unstable; urgency=medium

  * [1a804bb] Disable parallel build.

 -- Anton Gladky <gladk@debian.org>  Mon, 23 Jan 2017 17:36:15 +0100

yade (2017.01a-1) unstable; urgency=medium

  * [4b5edc3] New upstream version 2017.01a
  * [09577db] Update/Remove patches.
  * [d763fbf] Set compat level to 10.

 -- Anton Gladky <gladk@debian.org>  Thu, 19 Jan 2017 22:48:54 +0100

yade (2016.06a-7) unstable; urgency=medium

  * [a7a08a9] Fix ipython5 config module.

 -- Anton Gladky <gladk@debian.org>  Sat, 10 Dec 2016 21:18:05 +0100

yade (2016.06a-6) unstable; urgency=medium

  * [4ab8a46] Fix FTBFS against booost_1.62. (Closes: #845742)
  * [e3afe8b] Apply cme fix dpkg.

 -- Anton Gladky <gladk@debian.org>  Sat, 03 Dec 2016 12:24:48 +0100

yade (2016.06a-5) unstable; urgency=medium

  [ Tobias Hansen ]
  * Include ipython_directive.py from IPython 5.1.0 to fix build
    with IPython 5. (Closes: #840527)

 -- Anton Gladky <gladk@debian.org>  Sat, 29 Oct 2016 23:25:13 +0200

=== debian/control ===
--- 
+++ 
@@ -5,10 +5,11 @@
 Testsuite: autopkgtest
 Priority: extra
 Build-Depends: cmake,
-               debhelper (>= 9),
+               debhelper (>= 10),
+               dh-exec,
                freeglut3-dev,
                help2man,
-               ipython,
+               ipython (>= 5),
                libboost-all-dev,
                libbz2-dev,
                libcgal-dev,
@@ -26,12 +27,13 @@
                pyqt5-dev-tools,
                python-all-dev,
                python-gts,
-               python-imaging,
+               python-pil,
                python-matplotlib,
                python-minieigen,
                python-numpy,
                python-sip,
                python-pyqt5,
+               python-pyqt5.qtsvg,
                python-tk,
                python-xlib,
                zlib1g-dev
@@ -48,14 +50,14 @@
                      texlive-pictures,
                      texlive-xetex,
                      tipa
-Standards-Version: 3.9.8
+Standards-Version: 4.0.0
 Vcs-Browser: https://anonscm.debian.org/cgit/debian-science/packages/yade.git
 Vcs-Git: https://anonscm.debian.org/git/debian-science/packages/yade.git
 Homepage: https://launchpad.net/yade
 X-Python-Version: current
 
 Package: yade
-Architecture: any
+Architecture: amd64 arm64 i386 mips64el ppc64el s390x hppa kfreebsd-amd64 powerpc ppc64 sparc64 x32
 Multi-Arch: foreign
 Depends: gnuplot,
          gtk2-engines-pixbuf,
@@ -79,7 +81,7 @@
  This package contains speed-optimized build of yade.
 
 Package: libyade
-Architecture: any
+Architecture: amd64 arm64 i386 mips64el ppc64el s390x hppa kfreebsd-amd64 powerpc ppc64 sparc64 x32
 Multi-Arch: same
 Depends: libopenblas-dev [amd64 i386 ia64 kfreebsd-amd64 kfreebsd-i386 powerpc],
          ${misc:Depends},
@@ -98,16 +100,17 @@
  This package contains yade`s libraries.
 
 Package: python-yade
-Architecture: any
+Architecture: amd64 arm64 i386 mips64el ppc64el s390x hppa kfreebsd-amd64 powerpc ppc64 sparc64 x32
 Multi-Arch: foreign
 Section: python
 Depends: libyade (= ${binary:Version}),
          python-argparse,
          python-gts,
-         python-imaging,
+         python-pil,
          python-matplotlib,
          python-minieigen,
          python-pyqt5,
+         python-pyqt5.qtsvg,
          python-tk,
          python-xlib,
          ${misc:Depends},

=== debian/rules ===
--- 
+++ 
@@ -4,7 +4,7 @@
 tmpDirMatplotLib = $(CURDIR)/debian/matplotlib
 
 %:
-	dh $@ --builddirectory=$(BUILDDIR) --with python2
+	dh $@ --builddirectory=$(BUILDDIR) --with python2 --no-parallel
 
 export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed,-no-keep-memory
 
@@ -26,10 +26,6 @@
 -DENABLE_SPH=ON
 
 override_dh_auto_configure:
-ifneq (,$(filter $(DEB_HOST_ARCH), armel armhf mips mipsel))
-	echo 'This architecture is not supported, exiting'
-	exit 2
-endif
 	dh_auto_configure -- $(extra_flags)
 	mkdir -p $(tmpDirMatplotLib)
 	mkdir -p $(tmpInstall)
@@ -47,7 +43,7 @@
 	dh_numpy
 ifeq ($(BUILD_DOC), yes)
 	#Generate docs
-	cd $(CURDIR)/doc/sphinx; PYTHONPATH=. $(tmpInstall)/usr/bin/yade yadeSphinx.py; cd _build/latex; xelatex Yade.tex; xelatex Yade.tex; xelatex Yade.tex;
+	cd $(CURDIR)/doc/sphinx; PYTHONPATH=. $(tmpInstall)/usr/bin/yade yadeSphinx.py
 endif
 	#Delete all pyc files
 	find . -name '*.pyc' -print0 | xargs -0 rm -f
